#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: abstract-deque
version: 0.3
id: abstract-deque-0.3-GrgiPXB2fbbKYfNSIYfZyO
key: abstract-deque-0.3-GrgiPXB2fbbKYfNSIYfZyO
license: BSD3
maintainer: rrnewton@gmail.com
homepage: https://github.com/rrnewton/haskell-lockfree/wiki
synopsis: Abstract, parameterized interface to mutable Deques.
description:
    An abstract interface to highly-parameterizable queues/deques.
    .
    Background: There exists a feature space for queues that extends between:
    .
    * simple, single-ended, non-concurrent, bounded queues
    .
    * double-ended, threadsafe, growable queues
    .
    ... with important points inbetween (such as
    the queues used for work-stealing).
    .
    This package includes an interface for Deques that allows the
    programmer to use a single API for all of the above, while using the
    type-system to select an efficient implementation given the
    requirements (using type families).
    .
    This package also includes a simple reference implementation based
    on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
exposed: True
indefinite: False
exposed-modules:
    Data.Concurrent.Deque.Class Data.Concurrent.Deque.Debugger
    Data.Concurrent.Deque.Reference
    Data.Concurrent.Deque.Reference.DequeInstance
abi: 952aeccd20ae7a407fcced34ea59be77
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/abstract-deque-0.3
library-dirs: /usr/lib/ghc-8.2.1/site-local/abstract-deque-0.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/abstract-deque-0.3
hs-libraries: HSabstract-deque-0.3-GrgiPXB2fbbKYfNSIYfZyO
depends:
    base-4.10.0.0 array-0.5.2.0 random-1.1-DtLcP2Z2iOOC0RwcSmXjBK
    containers-0.5.10.2 time-1.8.0.2
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             array-0.5.2.0=f1e5b16bbab6fd27896e28be963fa7eb
             random-1.1-DtLcP2Z2iOOC0RwcSmXjBK=5faba54ff6ceaac5cbd433f5aeb4a970
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             time-1.8.0.2=e9c7416c5b79f57513fe11898c3d9f95
haddock-interfaces: /usr/share/doc/haskell-abstract-deque/html/abstract-deque.haddock
haddock-html: /usr/share/doc/haskell-abstract-deque/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

